/*! HTML5 Boilerplate v8.0.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.1.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
/* roboto-300 - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url('fonts/roboto-v30-latin-300.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('fonts/roboto-v30-latin-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/roboto-v30-latin-300.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/roboto-v30-latin-300.woff') format('woff'), /* Modern Browsers */
       url('fonts/roboto-v30-latin-300.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/roboto-v30-latin-300.svg#Roboto') format('svg'); /* Legacy iOS */
}

/* roboto-regular - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/roboto-v30-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('fonts/roboto-v30-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/roboto-v30-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/roboto-v30-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('fonts/roboto-v30-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/roboto-v30-latin-regular.svg#Roboto') format('svg'); /* Legacy iOS */
}

/* roboto-700 - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/roboto-v30-latin-700.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('fonts/roboto-v30-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/roboto-v30-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/roboto-v30-latin-700.woff') format('woff'), /* Modern Browsers */
       url('fonts/roboto-v30-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/roboto-v30-latin-700.svg#Roboto') format('svg'); /* Legacy iOS */
}

* {
 font-family: 'Roboto'; 
}

/*Overrides inputs placeholder*/
.input::placeholder, .textarea::placeholder, .select select::placeholder {
  color: #363636 !important;
}

/*Overrides Navbar from Bulma*/
.navbar {
  min-height: 6.25rem !important;
} .navbar-logo {
  max-height: 68px !important;
} .menu-list a.is-active {
  background-color: #1c6733 !important;
} .navbar-end > a.navbar-item:hover {
  background-color: #70b284 !important;
}/* .navbar-brand > a.navbar-item:hover {
  background-color: #70b284 !important;
}*/ .bodyCurve::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute;
  width: 100vw;
  height: 500px;
  background-color: #1c6733;
  clip-path: ellipse(63% 100% at 61.31% 0%);
}

/*Portada Float Main Template*/
.is-attached-top {
  position: absolute;
  top: -55px;
  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);
} .has-attached-logo {
  position: relative;
} .has-attached-logo::before {
  content: " ";
  position: absolute;
  bottom: 10px;
  right: 0px;
  width: 180px;
  height: 150px;
  background-color: rgba(255,255,255,0.65);
  border-radius: 15px 0 0 15px;
} .has-attached-logo::after {
  content: " ";
  position: absolute;
  bottom: 50px;
  right: -100px;
  width: 250px;
  height: 68px;
  background-image: url('../img/logo_250.png');
  background-size: cover;
  background-repeat: no-repeat;
}
/*Message Template*/
.message-text {
  position: relative;
  display: block;
  width: auto;
  max-width: 320px;
  padding: 10px;
  border-radius: 15px;
  font-size: .9rem;
}
.message-text::before {
  position: absolute;
  display: block;
  content: "";
  top: 0;
  width: 0;
  height: 0;
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  left: -15px;
  border-top: 20px solid #299b4c;
}
/*Portada Float attached imgs*/
.has-attached-img {
  position: relative;
  height: 450px;
} .att-img-0::before {
  content: " ";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-image: url('../img/inv_0.png');
  background-size: cover;
  background-repeat: no-repeat;
  border-radius: 15px !important;
} .att-img-1::before {
  content: " ";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-image: url('../img/inv_1.png');
  background-size: cover;
  background-repeat: no-repeat;
  border-radius: 15px !important;
} .att-img-2::before {
  content: " ";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-image: url('../img/inv_2.png');
  background-size: cover;
  background-repeat: no-repeat;
  border-radius: 15px !important;
} .has-attached-img > .box {
  position: absolute !important;
  bottom: 10px;
  width: calc(100% - 40px);
}

/*Helper Colors*/
.is-bg-main {
  background-color: #1c6733 !important;
}
.is-bg-secondary {
  background-color: #299b4c !important;
}
.is-bg-anti {
  background-color: rgba(250,235,215,0.45);
}
.has-text-main {
  color: #1c6733 !important;
}
.has-text-contrast-dark {
  color: #cfc237 !important;
}
.has-text-main-light {
  color: hsl(171, 100%, 96%) !important;
}
/*Background Colors*/
.has-bg-light {
  background-color: #fcfcfc !important;
}
/*Selecter Colors*/
.is-selected {
  background-color: rgba(10, 10, 10, 0.6) !important;
}

/*Modal*/
.modal-exit {
  background: none;
  height: 40px;
  position: fixed;
  right: 20px;
  top: 20px;
  width: 40px;
} .modal-exit:hover {
  color: rgba(10, 10, 10, 0.3) !important;
}

/*Dashboard Styles*/
.dashboard-menu {
  border-radius: 0 15px 15px 0 !important;
  position: relative !important;
  left: -12px !important;
  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);
}

/*toast*/
#toast {
  position: fixed;
  bottom: 60px;
  right: 20px;
  z-index: 99999;
} .toast-tag {
    display: block;
    margin: 0 auto;
    text-align: center;
    padding: 5px 20px;
    margin: 10px 0;
    border-radius: 5px;
    color:#222;
    background-color: #3c3c3c;
  }
/*Tooltip*/
.tooltip {
  position: relative;
}.tooltip .tooltiptext {
  position: absolute;
  right: 0;
  top: -50px;
  width: 120px;
  background-color: #3c3c3c;
  color: #fff;
  text-align: center;
  border-radius: 15px;
  padding: 5px 0;
  /* Position the tooltip */
  z-index: 1;
}.tooltip .tooltiptext::after {
  content: '';
  position: absolute;
  width: 15px;
  height: 17px;
  right: 10px;
  bottom: -15px;
  transform:translate(-50%,-50%) rotate(45deg);
  background-color: #3c3c3c;
}
/*Context Menu*/
.context-menu {
  padding: 0 !important;
  margin: 0 !important;
  display: none;
  position: absolute;
} .context-menu li {
  padding: .2rem 1.2rem;
} .context-menu li:hover {
  background-color: #3c3c3c;
  color: #fff;
}

/*Close DIV for relative objects*/
.close-dom {
  position: absolute;
  right: 12px;
  top: 16px;
}

/*Pulse effect*/
.inner-circle {
  width: 20px;
  height: 20px;
  background-color: #8BC260;
  border-radius: 50%;
  position: absolute;
  left: 50%;
  right: 50%;
}
.outer-circle {
  width: 20px;
  height: 20px;
  position: absolute;
  background-color: #8BC260;
  border-radius: 50%;
  left: 50%;
  right: 50%;
  transform-origin: 50% 50%;
  -webkit-animation-name: fadding;
  -webkit-animation-duration: 1.3s;
  -webkit-animation-iteration-count: infinite;
  animation-name: fadding;
  animation-duration: 1.3s;
  animation-iteration-count: infinite;
}
@keyframes fadding {
  0% {
    opacity: 1;
  }
  100% {
    transform: scale(4);
    opacity: 0;
  }
}
/* ==========================================================================
   Helper classes
   ========================================================================== */
/*Widht Height*/
.w-100 {
  width: 100% !important;
}
/*Borders*/
.has-br {
  border-radius: 15px !important;
}
.has-br-b {
  border-radius: 0 0 15px 15px !important;
}


/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .sr-only class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/*Mobile small*/
@media screen and (max-width: 769px), print {
  /*Portada Float Main Template*/
  .is-attached-top {
    position: relative;
    top: auto;
  }
  .has-attached-logo::before {
    right: -10px;
    width: 280px;
  }
  .has-attached-logo::after {
    right: -10px;
  }
  /*No padding mobile*/
  .p-0-m {
    padding: 0px !important;
  }
}
/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  /*
   * Printing Tables:
   * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
   */
  thead {
    display: table-header-group;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

